@octokit/openapi 14.1.0 → 15.1.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "openapi": "3.0.3",
3
3
  "info": {
4
- "version": "14.1.0",
4
+ "version": "15.1.0",
5
5
  "title": "GitHub's official OpenAPI spec + Octokit extension",
6
6
  "description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
7
7
  "license": {
@@ -241,7 +241,8 @@
241
241
  },
242
242
  "hub_url": {
243
243
  "type": "string",
244
- "format": "uri-template"
244
+ "format": "uri-template",
245
+ "deprecated": true
245
246
  },
246
247
  "issue_search_url": {
247
248
  "type": "string",
@@ -337,7 +338,6 @@
337
338
  "followers_url",
338
339
  "following_url",
339
340
  "gists_url",
340
- "hub_url",
341
341
  "issue_search_url",
342
342
  "issues_url",
343
343
  "keys_url",
@@ -464,19 +464,21 @@
464
464
  "description": "If specified, only advisories for these ecosystems will be returned.",
465
465
  "schema": {
466
466
  "type": "string",
467
+ "description": "The package's language or package management ecosystem.",
467
468
  "enum": [
468
- "actions",
469
- "composer",
470
- "erlang",
471
- "go",
472
- "maven",
469
+ "rubygems",
473
470
  "npm",
474
- "nuget",
475
- "other",
476
471
  "pip",
472
+ "maven",
473
+ "nuget",
474
+ "composer",
475
+ "go",
476
+ "rust",
477
+ "erlang",
478
+ "actions",
477
479
  "pub",
478
- "rubygems",
479
- "rust"
480
+ "other",
481
+ "swift"
480
482
  ]
481
483
  }
482
484
  },
@@ -68556,7 +68558,7 @@
68556
68558
  "/orgs/{org}/hooks": {
68557
68559
  "get": {
68558
68560
  "summary": "List organization webhooks",
68559
- "description": "",
68561
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
68560
68562
  "tags": [
68561
68563
  "orgs"
68562
68564
  ],
@@ -68765,7 +68767,7 @@
68765
68767
  },
68766
68768
  "post": {
68767
68769
  "summary": "Create an organization webhook",
68768
- "description": "Here's how you can create a hook that posts payloads in JSON format:",
68770
+ "description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
68769
68771
  "tags": [
68770
68772
  "orgs"
68771
68773
  ],
@@ -69118,7 +69120,7 @@
69118
69120
  "/orgs/{org}/hooks/{hook_id}": {
69119
69121
  "get": {
69120
69122
  "summary": "Get an organization webhook",
69121
- "description": "Returns a webhook configured in an organization. To get only the webhook `config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization).\"",
69123
+ "description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69122
69124
  "tags": [
69123
69125
  "orgs"
69124
69126
  ],
@@ -69305,7 +69307,7 @@
69305
69307
  },
69306
69308
  "patch": {
69307
69309
  "summary": "Update an organization webhook",
69308
- "description": "Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use \"[Update a webhook configuration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization).\"",
69310
+ "description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69309
69311
  "tags": [
69310
69312
  "orgs"
69311
69313
  ],
@@ -69638,7 +69640,7 @@
69638
69640
  },
69639
69641
  "delete": {
69640
69642
  "summary": "Delete an organization webhook",
69641
- "description": "",
69643
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69642
69644
  "tags": [
69643
69645
  "orgs"
69644
69646
  ],
@@ -69710,7 +69712,7 @@
69710
69712
  "/orgs/{org}/hooks/{hook_id}/config": {
69711
69713
  "get": {
69712
69714
  "summary": "Get a webhook configuration for an organization",
69713
- "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
69715
+ "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69714
69716
  "tags": [
69715
69717
  "orgs"
69716
69718
  ],
@@ -69803,7 +69805,7 @@
69803
69805
  },
69804
69806
  "patch": {
69805
69807
  "summary": "Update a webhook configuration for an organization",
69806
- "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
69808
+ "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69807
69809
  "tags": [
69808
69810
  "orgs"
69809
69811
  ],
@@ -69949,7 +69951,7 @@
69949
69951
  "/orgs/{org}/hooks/{hook_id}/deliveries": {
69950
69952
  "get": {
69951
69953
  "summary": "List deliveries for an organization webhook",
69952
- "description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
69954
+ "description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
69953
69955
  "tags": [
69954
69956
  "orgs"
69955
69957
  ],
@@ -70268,7 +70270,7 @@
70268
70270
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
70269
70271
  "get": {
70270
70272
  "summary": "Get a webhook delivery for an organization webhook",
70271
- "description": "Returns a delivery for a webhook configured in an organization.",
70273
+ "description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
70272
70274
  "tags": [
70273
70275
  "orgs"
70274
70276
  ],
@@ -70630,7 +70632,7 @@
70630
70632
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
70631
70633
  "post": {
70632
70634
  "summary": "Redeliver a delivery for an organization webhook",
70633
- "description": "Redeliver a delivery for a webhook configured in an organization.",
70635
+ "description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
70634
70636
  "tags": [
70635
70637
  "orgs"
70636
70638
  ],
@@ -70825,7 +70827,7 @@
70825
70827
  "/orgs/{org}/hooks/{hook_id}/pings": {
70826
70828
  "post": {
70827
70829
  "summary": "Ping an organization webhook",
70828
- "description": "This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.",
70830
+ "description": "This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
70829
70831
  "tags": [
70830
70832
  "orgs"
70831
70833
  ],
@@ -146422,7 +146424,7 @@
146422
146424
  "/repos/{owner}/{repo}/actions/runs": {
146423
146425
  "get": {
146424
146426
  "summary": "List workflow runs for a repository",
146425
- "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.",
146427
+ "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
146426
146428
  "tags": [
146427
146429
  "actions"
146428
146430
  ],
@@ -231548,6 +231550,32 @@
231548
231550
  "204": {
231549
231551
  "description": "Response"
231550
231552
  },
231553
+ "404": {
231554
+ "description": "Resource not found",
231555
+ "content": {
231556
+ "application/json": {
231557
+ "schema": {
231558
+ "title": "Basic Error",
231559
+ "description": "Basic Error",
231560
+ "type": "object",
231561
+ "properties": {
231562
+ "message": {
231563
+ "type": "string"
231564
+ },
231565
+ "documentation_url": {
231566
+ "type": "string"
231567
+ },
231568
+ "url": {
231569
+ "type": "string"
231570
+ },
231571
+ "status": {
231572
+ "type": "string"
231573
+ }
231574
+ }
231575
+ }
231576
+ }
231577
+ }
231578
+ },
231551
231579
  "422": {
231552
231580
  "description": "Validation failed, or the endpoint has been spammed.",
231553
231581
  "content": {
@@ -326670,6 +326698,32 @@
326670
326698
  }
326671
326699
  }
326672
326700
  },
326701
+ "406": {
326702
+ "description": "Unacceptable",
326703
+ "content": {
326704
+ "application/json": {
326705
+ "schema": {
326706
+ "title": "Basic Error",
326707
+ "description": "Basic Error",
326708
+ "type": "object",
326709
+ "properties": {
326710
+ "message": {
326711
+ "type": "string"
326712
+ },
326713
+ "documentation_url": {
326714
+ "type": "string"
326715
+ },
326716
+ "url": {
326717
+ "type": "string"
326718
+ },
326719
+ "status": {
326720
+ "type": "string"
326721
+ }
326722
+ }
326723
+ }
326724
+ }
326725
+ }
326726
+ },
326673
326727
  "500": {
326674
326728
  "description": "Internal Error",
326675
326729
  "content": {
@@ -364842,6 +364896,7 @@
364842
364896
  "type": "string",
364843
364897
  "enum": [
364844
364898
  "commit",
364899
+ "wiki_commit",
364845
364900
  "issue_title",
364846
364901
  "issue_body",
364847
364902
  "issue_comment",
@@ -364915,6 +364970,64 @@
364915
364970
  "commit_url"
364916
364971
  ]
364917
364972
  },
364973
+ {
364974
+ "description": "Represents a 'wiki_commit' secret scanning location type. This location type shows that a secret was detected inside a commit to a repository wiki.",
364975
+ "type": "object",
364976
+ "properties": {
364977
+ "path": {
364978
+ "type": "string",
364979
+ "description": "The file path of the wiki page",
364980
+ "example": "/example/Home.md"
364981
+ },
364982
+ "start_line": {
364983
+ "type": "number",
364984
+ "description": "Line number at which the secret starts in the file"
364985
+ },
364986
+ "end_line": {
364987
+ "type": "number",
364988
+ "description": "Line number at which the secret ends in the file"
364989
+ },
364990
+ "start_column": {
364991
+ "type": "number",
364992
+ "description": "The column at which the secret starts within the start line when the file is interpreted as 8-bit ASCII."
364993
+ },
364994
+ "end_column": {
364995
+ "type": "number",
364996
+ "description": "The column at which the secret ends within the end line when the file is interpreted as 8-bit ASCII."
364997
+ },
364998
+ "blob_sha": {
364999
+ "type": "string",
365000
+ "description": "SHA-1 hash ID of the associated blob",
365001
+ "example": "af5626b4a114abcb82d63db7c8082c3c4756e51b"
365002
+ },
365003
+ "page_url": {
365004
+ "type": "string",
365005
+ "description": "The GitHub URL to get the associated wiki page",
365006
+ "example": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
365007
+ },
365008
+ "commit_sha": {
365009
+ "type": "string",
365010
+ "description": "SHA-1 hash ID of the associated commit",
365011
+ "example": "302c0b7e200761c9dd9b57e57db540ee0b4293a5"
365012
+ },
365013
+ "commit_url": {
365014
+ "type": "string",
365015
+ "description": "The GitHub URL to get the associated wiki commit",
365016
+ "example": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
365017
+ }
365018
+ },
365019
+ "required": [
365020
+ "path",
365021
+ "start_line",
365022
+ "end_line",
365023
+ "start_column",
365024
+ "end_column",
365025
+ "blob_sha",
365026
+ "page_url",
365027
+ "commit_sha",
365028
+ "commit_url"
365029
+ ]
365030
+ },
364918
365031
  {
364919
365032
  "description": "Represents an 'issue_title' secret scanning location type. This location type shows that a secret was detected in the title of an issue.",
364920
365033
  "type": "object",
@@ -365082,11 +365195,7 @@
365082
365195
  }
365083
365196
  ]
365084
365197
  }
365085
- },
365086
- "required": [
365087
- "type",
365088
- "details"
365089
- ]
365198
+ }
365090
365199
  }
365091
365200
  },
365092
365201
  "examples": {
@@ -365106,6 +365215,20 @@
365106
365215
  "commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
365107
365216
  }
365108
365217
  },
365218
+ {
365219
+ "type": "wiki_commit",
365220
+ "details": {
365221
+ "path": "/example/Home.md",
365222
+ "start_line": 1,
365223
+ "end_line": 1,
365224
+ "start_column": 1,
365225
+ "end_column": 64,
365226
+ "blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
365227
+ "page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
365228
+ "commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
365229
+ "commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
365230
+ }
365231
+ },
365109
365232
  {
365110
365233
  "type": "issue_title",
365111
365234
  "details": {
@@ -962217,8 +962340,7 @@
962217
962340
  },
962218
962341
  "repository-dispatch-sample.collected": {
962219
962342
  "post": {
962220
- "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
962221
- "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
962343
+ "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
962222
962344
  "operationId": "repository-dispatch/sample.collected",
962223
962345
  "externalDocs": {
962224
962346
  "url": "https://docs.github.com/webhooks/webhook-events-and-payloads#repository_dispatch"
@@ -962291,9 +962413,7 @@
962291
962413
  "properties": {
962292
962414
  "action": {
962293
962415
  "type": "string",
962294
- "enum": [
962295
- "sample.collected"
962296
- ]
962416
+ "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
962297
962417
  },
962298
962418
  "branch": {
962299
962419
  "type": "string"
@@ -962301,7 +962421,8 @@
962301
962421
  "client_payload": {
962302
962422
  "type": "object",
962303
962423
  "nullable": true,
962304
- "additionalProperties": true
962424
+ "additionalProperties": true,
962425
+ "description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
962305
962426
  },
962306
962427
  "enterprise": {
962307
962428
  "title": "Enterprise",
@@ -994369,6 +994490,7 @@
994369
994490
  "type": "string",
994370
994491
  "enum": [
994371
994492
  "commit",
994493
+ "wiki_commit",
994372
994494
  "issue_title",
994373
994495
  "issue_body",
994374
994496
  "issue_comment",
@@ -994442,6 +994564,64 @@
994442
994564
  "commit_url"
994443
994565
  ]
994444
994566
  },
994567
+ {
994568
+ "description": "Represents a 'wiki_commit' secret scanning location type. This location type shows that a secret was detected inside a commit to a repository wiki.",
994569
+ "type": "object",
994570
+ "properties": {
994571
+ "path": {
994572
+ "type": "string",
994573
+ "description": "The file path of the wiki page",
994574
+ "example": "/example/Home.md"
994575
+ },
994576
+ "start_line": {
994577
+ "type": "number",
994578
+ "description": "Line number at which the secret starts in the file"
994579
+ },
994580
+ "end_line": {
994581
+ "type": "number",
994582
+ "description": "Line number at which the secret ends in the file"
994583
+ },
994584
+ "start_column": {
994585
+ "type": "number",
994586
+ "description": "The column at which the secret starts within the start line when the file is interpreted as 8-bit ASCII."
994587
+ },
994588
+ "end_column": {
994589
+ "type": "number",
994590
+ "description": "The column at which the secret ends within the end line when the file is interpreted as 8-bit ASCII."
994591
+ },
994592
+ "blob_sha": {
994593
+ "type": "string",
994594
+ "description": "SHA-1 hash ID of the associated blob",
994595
+ "example": "af5626b4a114abcb82d63db7c8082c3c4756e51b"
994596
+ },
994597
+ "page_url": {
994598
+ "type": "string",
994599
+ "description": "The GitHub URL to get the associated wiki page",
994600
+ "example": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
994601
+ },
994602
+ "commit_sha": {
994603
+ "type": "string",
994604
+ "description": "SHA-1 hash ID of the associated commit",
994605
+ "example": "302c0b7e200761c9dd9b57e57db540ee0b4293a5"
994606
+ },
994607
+ "commit_url": {
994608
+ "type": "string",
994609
+ "description": "The GitHub URL to get the associated wiki commit",
994610
+ "example": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
994611
+ }
994612
+ },
994613
+ "required": [
994614
+ "path",
994615
+ "start_line",
994616
+ "end_line",
994617
+ "start_column",
994618
+ "end_column",
994619
+ "blob_sha",
994620
+ "page_url",
994621
+ "commit_sha",
994622
+ "commit_url"
994623
+ ]
994624
+ },
994445
994625
  {
994446
994626
  "description": "Represents an 'issue_title' secret scanning location type. This location type shows that a secret was detected in the title of an issue.",
994447
994627
  "type": "object",
@@ -994609,11 +994789,7 @@
994609
994789
  }
994610
994790
  ]
994611
994791
  }
994612
- },
994613
- "required": [
994614
- "type",
994615
- "details"
994616
- ]
994792
+ }
994617
994793
  },
994618
994794
  "organization": {
994619
994795
  "title": "Organization Simple",